/ lang / lof
Lof
Syntax

    lLength = Lof ( hFile AS Stream ) AS Long

Returns the length of the opened stream hStream.

### Examples

    OPEN sFileName FOR READ AS #hFile
    ...
    PRINT "File length is "; Lof(hFile)

If the stream is not a file, i.e. a Process or a Socket, then it returns the number of bytes that can be read at once.

    PUBLIC SUB Process_Read()

      DIM sBuffer AS String

      PRINT "I can read "; Lof(hLAST)
      ' Read them
      READ #hLAST, sBuffer, Lof(hLAST)

    END

### See also

Stream & Input/Output functions Process